# Generated by Django 2.2.16 on 2020-11-02 15:19

from django.db import migrations, models
import djangoldp.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Associateddoc',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('doc', models.CharField(max_length=50, verbose_name='Document associé')),
            ],
        ),
        migrations.CreateModel(
            name='Associatedlink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('link', models.URLField(blank=True, null=True, verbose_name='Lien associé')),
            ],
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(max_length=50, verbose_name='Nom du contact')),
                ('firstname', models.CharField(max_length=50, verbose_name='Prénom du contact')),
                ('mail', models.CharField(max_length=50, verbose_name='Email du contact')),
                ('phone', models.CharField(max_length=50, verbose_name='Numéro de téléphone du contact')),
                ('visiblité', models.BooleanField(default=False, verbose_name='Visible sur la plate-forme')),
            ],
        ),
        migrations.CreateModel(
            name='Keyword',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(max_length=50, verbose_name='Mot clé')),
            ],
        ),
        migrations.CreateModel(
            name='Promoteddoc',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(max_length=50, verbose_name='Nom du document mis en avant')),
                ('doc', models.URLField(blank=True, null=True, verbose_name='Document mis en avant')),
                ('img', models.URLField(blank=True, null=True, verbose_name='Ilustration du document')),
            ],
        ),
        migrations.CreateModel(
            name='Promotedlink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(max_length=50, verbose_name='Nom du lien mis en avant')),
                ('link', models.URLField(blank=True, null=True, verbose_name='Lien mis en avant')),
                ('img', models.URLField(blank=True, null=True, verbose_name='Ilustration du lien')),
            ],
        ),
        migrations.CreateModel(
            name='Promotedvideo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(max_length=50, verbose_name='Nom de la vidéo mise en avant')),
                ('video', models.URLField(blank=True, null=True, verbose_name='Lien de la vidéo  mise en avant')),
            ],
        ),
        migrations.CreateModel(
            name='Expo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(max_length=50, verbose_name='Nom de la structure')),
                ('title', models.CharField(max_length=50, verbose_name="Titre de l'exposition")),
                ('thematique', models.CharField(max_length=50, verbose_name='Thématique')),
                ('description', models.TextField(blank=True, null=True)),
                ('link', models.URLField(blank=True, null=True, verbose_name='Lien internet')),
                ('dimension', models.IntegerField(blank=True, null=True, verbose_name='Dimension')),
                ('productiondate', models.DateField(blank=True, null=True, verbose_name='Date de production')),
                ('associateddoc', models.ManyToManyField(max_length=50, to='djangoldp_exposition.Associateddoc', verbose_name='Doc associé')),
                ('associatedlink', models.ManyToManyField(max_length=150, to='djangoldp_exposition.Associatedlink', verbose_name='Lien associé')),
                ('contact', models.ManyToManyField(max_length=50, to='djangoldp_exposition.Contact', verbose_name='Contact')),
                ('keywords', models.ManyToManyField(blank=True, to='djangoldp_exposition.Keyword')),
                ('promoteddoc', models.ManyToManyField(max_length=50, to='djangoldp_exposition.Promoteddoc', verbose_name='Doc associé')),
                ('promotedlink', models.ManyToManyField(max_length=50, to='djangoldp_exposition.Promotedlink', verbose_name='Doc associé')),
                ('promotedvideo', models.ManyToManyField(max_length=50, to='djangoldp_exposition.Promotedvideo', verbose_name='Doc associé')),
            ],
        ),
    ]
